LatherDispatcher (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.LatherDispatcher class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class LatherDispatcher

    java.lang.Object
      org.hyperic.hq.bizapp.server.session.BizappSessionEJB
          org.hyperic.hq.bizapp.server.session.LatherDispatcher

    public class LatherDispatcher

extends BizappSessionEJB

Field Summary
`protected org.apache.commons.logging.Log` | `log`
`protected java.util.HashSet` | `secureCommands`

Fields inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`ctx`

Constructor Summary
`LatherDispatcher()`

Method Summary
`void` | `destroy()`
`org.hyperic.lather.LatherValue` | `dispatch(org.hyperic.lather.LatherContext ctx, java.lang.String method, org.hyperic.lather.LatherValue arg)` Main dispatch method called from the LatherBoss.
`boolean` | `methIsTransactional(java.lang.String meth)`
`protected void` | `validateAgent(org.hyperic.lather.LatherContext ctx, java.lang.String agentToken)`
`protected void` | `validateAgent(org.hyperic.lather.LatherContext ctx, java.lang.String agentToken, boolean useCache)`

Methods inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`getAgentManager, getAIBoss, getAIManager, getAppdefBoss, getAppdefStatManager, getApplicationManager, getAuthManager, getAuthzBoss, getAuthzSubjectManager, getAutoInventoryManager, getAvailManager, getConfigManager, getControlBoss, getControlManager, getControlScheduleManager, getCPropManager, getDataMan, getEventsBoss, getMeasurementBoss, getMetricManager, getOverlord, getPlatformManager, getProductBoss, getProductManager, getReportProcessor, getResourceGroupManager, getResourceManager, getServerConfigManager, getServerManager, getServiceManager, getSessionContext, getSrnManager, getTemplateManager, getTrackerManager, rollback, setSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected final org.apache.commons.logging.Log log

### secureCommands

    protected java.util.HashSet secureCommands

Constructor Detail

### LatherDispatcher

    public LatherDispatcher()

Method Detail

### methIsTransactional

    public boolean methIsTransactional(java.lang.String meth)

### validateAgent

    protected void validateAgent(org.hyperic.lather.LatherContext ctx,
                                 java.lang.String agentToken)
                          throws org.hyperic.lather.LatherRemoteException

  Throws:
    `org.hyperic.lather.LatherRemoteException`

### validateAgent

    protected void validateAgent(org.hyperic.lather.LatherContext ctx,
                                 java.lang.String agentToken,
                                 boolean useCache)
                          throws org.hyperic.lather.LatherRemoteException

  Throws:
    `org.hyperic.lather.LatherRemoteException`

### dispatch

    public org.hyperic.lather.LatherValue dispatch(org.hyperic.lather.LatherContext ctx,
                                                   java.lang.String method,
                                                   org.hyperic.lather.LatherValue arg)
                                            throws org.hyperic.lather.LatherRemoteException

  Main dispatch method called from the LatherBoss.

  Throws:
    `org.hyperic.lather.LatherRemoteException`

### destroy

    public void destroy()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.